
typedef struct {
	gchar *name;
	gchar *uname;
	gchar *server;
	gchar *pass;
	gboolean save_password;
	gint port;
	gchar *resource;
	gint priority;

	gboolean proxy_use;
	gchar *proxy_server;
	gint   proxy_port;
	gchar *proxy_user;
	gchar *proxy_pass;
	
	gboolean secure;
} KfPrefAccount;

void kf_preferences_load (const gchar *filename);
gboolean kf_preferences_write (const gchar *filename);
void kf_preferences_set (const gchar *name, const gchar *value);
void kf_preferences_set_int (const gchar *name, int value);
void kf_preferences_set_string (const gchar *name, gchar *value);
gint kf_preferences_get_int (const gchar *name);
const gchar *kf_preferences_get_string (const gchar *name);
gpointer kf_preferences_get_ptr (const gchar *name);
void kf_preferences_add_status (const gchar *name, const gchar *text);
KfPrefAccount *kf_pref_account_new (const gchar *name);

void kf_pref_account_set_proxy (KfPrefAccount *acc, gboolean use,
				const gchar *server, gint port,
				const gchar *uname, const gchar *passwd);
